## org.gnu.gtk
Class TextTagTable

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.TextTagTable

public class TextTagTable
extends GObject

See `TextView` description for an overview of the related objects.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`` `TextTagTable()` Constructs a new table, containing no tags
`protected` `TextTagTable(Handle handle)`

Method Summary
`void` `add(TextTag tag)` Add a tag to the table.
`int` `getSize()` Returns the size of the table (number of tags)
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_text_tag_table_add(Handle table, Handle tag)`
`protected static int` `gtk_text_tag_table_get_size(Handle table)`
`protected static int` `gtk_text_tag_table_get_type()`
`protected static Handle` `gtk_text_tag_table_lookup(Handle table, java.lang.String name)`
`protected static Handle` `gtk_text_tag_table_new()`
`protected static void` `gtk_text_tag_table_remove(Handle table, Handle tag)`
`TextTag` `lookup(java.lang.String name)` Look up a named tag.
`void` `remove(TextTag tag)` Remove a tag from the table.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextTagTable

    protected TextTagTable(Handle handle)

### TextTagTable

    public TextTagTable()

  Constructs a new table, containing no tags

Method Detail

### add

    public void add(TextTag tag)

  Add a tag to the table. The tag is assigned the highest priority in the table.

  tag must not be in a tag table already, and may not have the same name as an already-added tag.

### remove

    public void remove(TextTag tag)

  Remove a tag from the table.

### lookup

    public TextTag lookup(java.lang.String name)

  Look up a named tag.

  Parameters:
    `name` - name of a tag
  Returns:
    The tag, or `null` if no tag exists by that name.

### getSize

    public int getSize()

  Returns the size of the table (number of tags)

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_text_tag_table_get_type

    protected static final int gtk_text_tag_table_get_type()

### gtk_text_tag_table_new

    protected static final Handle gtk_text_tag_table_new()

### gtk_text_tag_table_add

    protected static final void gtk_text_tag_table_add(Handle table,
                                                       Handle tag)

### gtk_text_tag_table_remove

    protected static final void gtk_text_tag_table_remove(Handle table,
                                                          Handle tag)

### gtk_text_tag_table_lookup

    protected static final Handle gtk_text_tag_table_lookup(Handle table,
                                                            java.lang.String name)

### gtk_text_tag_table_get_size

    protected static final int gtk_text_tag_table_get_size(Handle table)